// ChatSView.h : interface of the CChatSView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHATSVIEW_H__2DD93E75_9CC5_11D5_9750_00E07DA18C35__INCLUDED_)
#define AFX_CHATSVIEW_H__2DD93E75_9CC5_11D5_9750_00E07DA18C35__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CChatSView : public CFormView
{
protected: // create from serialization only
	CChatSView();
	DECLARE_DYNCREATE(CChatSView)

public:
	//{{AFX_DATA(CChatSView)
	enum { IDD = IDD_CHATS_FORM };
	CEdit	m_Said_control;
	CListBox	m_NickList;
	CString	m_sSaid;
	CString	m_sSayEdit;
	//}}AFX_DATA

// Attributes
public:
	CChatSDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChatSView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	void ScrollEdit(void);
	void ShowClientNicks(void);
	virtual ~CChatSView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	CChatSDoc* m_pDoc;
	//{{AFX_MSG(CChatSView)
	afx_msg void OnStartButtonClick();
	afx_msg void OnStopButtonClick();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ChatSView.cpp
inline CChatSDoc* CChatSView::GetDocument()
   { return (CChatSDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHATSVIEW_H__2DD93E75_9CC5_11D5_9750_00E07DA18C35__INCLUDED_)
